#pragma once

namespace config
{
    #define SOUND_ALL   0
    #define SOUND_BASIC 1
    #define SOUND_NONE  2
    
    #define KEY_UP      0
    #define KEY_DOWN    1
    #define KEY_LEFT    2
    #define KEY_RIGHT   3
    #define KEY_JUMP    4
    #define KEY_PICK    5
    #define KEY_MENU    6

    void setMusic(const bool value);
    void toggleMusic();
    const bool isMusicEnabled();

    void setSound(const int value);
    void toggleSound();
    const int getSoundMode();

    void defineKey(const int which, const int key);
    const int getKey(const int which);

    void definePadBtn(const int which, const int btn);
    const int getPadBtn(const int which);

    void setProgoloDesbloquejat();
    const bool isProgoloDesbloquejat();

    void setKioskMode(const bool value);
    const bool getKioskMode();

    void setInifiniteLives(const bool value);
    const bool getInfiniteLives();
}